## fusionforge 5.2~rc1+1

=== debian/changelog ===
fusionforge (5.2~rc1+1) unstable; urgency=low

  * Since this package was accidentally uploaded as native package,
    and there is a large delta to what’s in upstream SVN right now,
    upload this deliberately as native package now. The next upload
    from FF SVN Branch_5_2 is 5.2~rc2 but will need to take special
    care to exclude nōn-DFSG-free content again.
  * DFSG: Remove minified ECMAscript and binary *.jar from the source
  * Add myself to uploaders
  * Opt out of Apport reports
  * Integrate with MediaWiki 1.19 (Closes: #679932)
  * Update versioned Depends on MediaWiki
  * Move wikis to new (as of 2010-03-19, possibly by accident) data path
  * Check image upload is enabled before trying to do so (Closes: #679521)
  * Unbreak and silence the MediaWiki nightly dump cronjob (Closes: #680165)
  * SECURITY: Upon user deletion, remove their Unix account as well
  * SECURITY: Do not disclose inaccessible groups on user_home/toplist
  * Fix IFRAME used by the Widget code if no ECMAscript is available

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 20 Sep 2012 13:51:30 +0200

fusionforge (5.2~rc1-5) unstable; urgency=low

  * Updated Debconf translations for Portuguese (thanks to Américo
    Monteiro), German (thanks to Helge Kreutzmann), Russian (thanks to
    Yuri Kozlov), Galician (thanks to Jorge Barreiro), Czech (thanks to
    Miroslav Kure) (closes: #677737, #677653, #678424, #678629, #678685).

 -- Roland Mas <lolando@debian.org>  Thu, 28 Jun 2012 20:16:27 +0200

fusionforge (5.2~rc1-4) unstable; urgency=low

  * One more fix to Mediawiki upgrades (closes: #677599).

 -- Roland Mas <lolando@debian.org>  Fri, 15 Jun 2012 14:48:58 +0200

fusionforge (5.2~rc1-3) unstable; urgency=low

  * Updated Debconf translations for Swedish (thanks to Martin Bagge)
    (closes: #677411).
  * Fixes to Mediawiki plugin (including for interwiki).

 -- Roland Mas <lolando@debian.org>  Thu, 14 Jun 2012 16:48:38 +0200

fusionforge (5.2~rc1-2) unstable; urgency=low

  * Use more of the system-provided Jquery.
  * Reinstate code running the Mediawiki SQL initialisation code from the
    package's postinst (closes: #677373).

 -- Roland Mas <lolando@debian.org>  Wed, 13 Jun 2012 18:58:30 +0200

fusionforge (5.2~rc1-1) unstable; urgency=low

  * New upstream pre-release 5.2rc1.
  * Ripped out all but the most important Debconf questions in order to
    simplify installation and get rid of the legacy fusionforge.conf
    configuration file (which is no longer created on new installs).
  * Stop shipping fusionforge-config manpage.

 -- Roland Mas <lolando@debian.org>  Fri, 01 Jun 2012 14:28:54 +0200

fusionforge (5.1.50+svn15558-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.
  * Generate initial list of countries and codes from the current known
    data (from isoquery) at build time (closes: #565240).  Thanks to David
    Prévot <david@tilapin.org> for the bulk of the patch.
  * Remove UCF-generated files on purge (closes: #672256).

 -- Roland Mas <lolando@debian.org>  Wed, 23 May 2012 14:34:18 +0200

fusionforge (5.1.50+svn15410-1) experimental; urgency=low

  * Really fix upgrade-db.php this time (closes: #668970).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 16:11:34 +0200

fusionforge (5.1.50+svn15405-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.
  * Disable authcas plugin at least until phpCAS is packaged in Debian,
    thanks to Laurent Bonnaud (closes: #666908).
  * Fixed upgrade-db.php so it can run even without gforge-web-apache2
    installed, thanks to Andreas Beckmann (closes: #668970).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 14:56:51 +0200

fusionforge (5.1.50+svn15228-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Mar 2012 20:57:28 +0200

fusionforge (5.1.1-9) UNRELEASED; urgency=low

  * Reinstate code running the Mediawiki SQL initialisation code from the
    package's postinst.

 -- Roland Mas <lolando@debian.org>  Wed, 06 Jun 2012 17:49:37 +0200

fusionforge (5.1.1-8) unstable; urgency=low

  * Fixes from the 5.1 upstream branch.
  * Fixed wrong link for custom homepage, thanks to Olivier Berger for the
    patch (closes: #675090).

 -- Roland Mas <lolando@debian.org>  Fri, 01 Jun 2012 11:04:11 +0200

fusionforge (5.1.1-7) unstable; urgency=low

  * Many fixes from the 5.1 upstream branch.
  * Set up a dpkg trigger to handle Mediawiki upgrades and update the
    database schemas accordingly (closes: #673125).

 -- Roland Mas <lolando@debian.org>  Wed, 23 May 2012 13:54:10 +0200

fusionforge (5.1.1-6) unstable; urgency=low

  * Fixes in search.
  * Use current way to get configuration values instead of looking for the
    old file, thanks to Andreas Beckmann (closes: #668878).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 14:38:52 +0200

fusionforge (5.1.1-5) unstable; urgency=low

  * Remove more config files on purge (detected by piuparts).

 -- Roland Mas <lolando@debian.org>  Tue, 27 Mar 2012 20:34:57 +0200

fusionforge (5.1.1-4) unstable; urgency=low

  * Removed one more call to fusionforge-config.

 -- Roland Mas <lolando@debian.org>  Tue, 20 Mar 2012 17:09:19 +0100

fusionforge (5.1.1-3) unstable; urgency=low

  [ Olivier Berger ]
  * Add new README.Debian for gforge-web-apache2 specifically.

  [ Roland Mas ]
  * Use common/include/env.inc.php rather than www/env.inc.php for offline
    scripts (closes: #663602).
  * More comprehensive purge for -common package (closes: #638167).
  * Stop trying to call fusionforge-config in maintainer scripts, it's not
    needed any longer and it causes problems (closes: #655965, #656088,
    #662897).
  * Fixed PHP 5.4 compatibility (closes: #658955).

 -- Roland Mas <lolando@debian.org>  Fri, 16 Mar 2012 16:12:09 +0100

fusionforge (5.1.1-2) unstable; urgency=low

  * New upstream SVN snapshot.

