=== plugins/soapadmin/debian/changelog ===
fusionforge-plugin-soapadmin (1.0.3-1) unstable; urgency=low

  * Initial release

 -- Christian Bayle <bayle@debian.org>  Mon, 08 Mar 2010 16:37:51 +0100
