=== debian/control ===
Source: fusionforge
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Olivier Berger <obergix@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Build-Depends-Indep: sharutils, docbook-to-man, devscripts, gettext, isoquery, iso-codes
Build-Depends: debhelper (>= 7), quilt (>= 0.40), perl, confget
Standards-Version: 3.9.2
Homepage: http://fusionforge.org/
Vcs-Svn: svn://scm.fusionforge.org/scmrepos/svn/fusionforge/trunk
XBS-Apport: No

Package: fusionforge-standard
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version})
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-lists-mailman | gforge-lists, ${misc:Depends}
Recommends: fusionforge-plugin-scmsvn | fusionforge-plugin-scm
Description: FusionForge collaborative development tool - standard metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a standard FusionForge site.

Package: fusionforge-minimal
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version}), gforge
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (>=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, ${misc:Depends}
Description: FusionForge collaborative development tool - minimal metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a minimal FusionForge site.

Package: fusionforge-full
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version}), gforge
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-web-apache2-vhosts, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-lists-mailman | gforge-lists, fusionforge-plugin-contribtracker, fusionforge-plugin-extratabs, fusionforge-plugin-globalsearch, fusionforge-plugin-mediawiki, fusionforge-plugin-projectlabels, fusionforge-plugin-scmarch, fusionforge-plugin-scmbzr, fusionforge-plugin-scmcvs, fusionforge-plugin-scmdarcs, fusionforge-plugin-scmgit, fusionforge-plugin-scmhg, fusionforge-plugin-scmsvn, fusionforge-plugin-blocks, fusionforge-plugin-hudson, fusionforge-plugin-oslc, ${misc:Depends}
Description: FusionForge collaborative development tool - full metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a full FusionForge site with all plugins.

Package: gforge
Architecture: all
Depends: fusionforge-standard, ${misc:Depends}
Description: Dummy upgrade package for FusionForge
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This is a transitional package and can safely be removed; see the
 fusionforge-standard package instead.

Package: gforge-common
Architecture: all
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, cpio, lockfile-progs, adduser, php5-cli, php-htmlpurifier (>= 4.0), libphp-simplepie, python, ${misc:Depends}
Conflicts: sourceforge, gforge-plugin-scmcvs (<< 4.1), gforge-plugin-scmsvn (<< 4.1), gforge-plugin-scmccase (<< 4.1), gforge-theme-starterpack (<< 4.0)
Description: collaborative development tool - shared files
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains files and programs used by several other
 subpackages.

Package: gforge-web-apache2
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, libapache2-mod-php5, php5-cgi, php5-pgsql, php5-gd, perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, cronolog, python, ssl-cert, libnusoap-php, libphp-simplepie, php-http, libjs-yui, libjs-scriptaculous, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-ui, libjs-jquery-ui-theme-overcast, libphp-jpgraph, ${misc:Depends}
Recommends: locales | locales-all
Provides: gforge-web
Conflicts: gforge-web
Description: collaborative development tool - web part (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run the web part of
 FusionForge on an Apache webserver.

Package: gforge-web-apache2-vhosts
Architecture: all
Depends: gforge-web-apache2, ${misc:Depends}
Description: collaborative development tool - web vhosts (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run project vhosts
 FusionForge on an Apache webserver.

Package: gforge-web-apache
Architecture: all
Depends: gforge-web-apache2, ${misc:Depends}
Description: transitional package to gforge-web-apache2
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This dummy package exists only as a means to make transitions
 to apache2 easier. You can safely uninstall it.

Package: gforge-db-postgresql
Architecture: all
Depends: gforge-common, postgresql (>= 8.4), perl, libdbi-perl, libdbd-pg-perl, libmime-base64-perl, libhtml-parser-perl, libtext-autoformat-perl, libmail-sendmail-perl, libsort-versions-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli, php5-pgsql, ${misc:Depends}
Provides: gforge-db
Conflicts: gforge-db
Description: collaborative development tool - database (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package installs, configures and maintains the FusionForge
 database.

Package: gforge-mta-exim4
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, exim4-daemon-heavy, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Exim 4)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Exim 4 mail transfer agent to run
 FusionForge.

Package: gforge-mta-postfix
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, postfix, postfix-pgsql, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Postfix)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Postfix mail transfer agent to run
 FusionForge.

Package: gforge-mta-courier
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, courier-mta, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Courier)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Courier mail transfer agent to run
 FusionForge.

Package: gforge-shell-postgresql
Architecture: all
Depends: gforge-common, gforge-db-postgresql, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, openssh-server, libnss-pgsql2, ${misc:Depends}
Provides: gforge-shell
Conflicts: gforge-shell
Recommends: nscd
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package provides shell accounts authenticated via the PostGreSQL
 database to FusionForge users.

Package: gforge-ftp-proftpd
Architecture: all
Depends: gforge-common, gforge-shell-postgresql | gforge-shell, proftpd, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli, ${misc:Depends}
Provides: gforge-ftp
Conflicts: gforge-ftp
Description: collaborative development tool - FTP management (using ProFTPd)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the ProFTPd FTP server for FusionForge.

Package: gforge-dns-bind9
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, bind9 , ${misc:Depends}
Provides: gforge-dns
Conflicts: gforge-dns
