=== plugins/helloworld/debian/control ===
Source: fusionforge-plugin-helloworld
Section: devel
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends-Indep: devscripts
Build-Depends: debhelper (>= 7), perl, gettext
Standards-Version: 3.8.4
Homepage: http://fusionforge.org/
Vcs-Bzr: http://scm.fusionforge.org/bzr/fusionforge/svn-trunk-ro/

Package: fusionforge-plugin-helloworld
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, php5-cli, ${misc:Depends}
Description: collaborative development tool - HelloWorld plugin
 .
 This plugin contains the HelloWorld subsystem of FusionForge. It allows each
 FusionForge project to have its own HelloWorld, and gives some
 control over it to the project's administrator.
