=== rpm-specific/Makefile ===

# See http://wiki.centos.org/AdditionalResources/Repositories

all:

epel:
	wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm

dag:
	wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.x86_64.rpm
	wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.i386.rpm
