=== packaging/cron.d/Makefile ===

fusionforge: 00phpcron db-postgresql backup1 homedirs mail
	echo "# THIS FILE IS GENERATED, PLEASE DON'T EDIT, RATHER USE Makefile" > fusionforge
	cat 00phpcron db-postgresql backup1 homedirs mail >> fusionforge
clean:
	rm fusionforge
